> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cairhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Professional Claim

> Creates a professional claim from a CMS 1500 file. This schema is an augmentation of the Healthie CMS 1500 schema to support the full CMS-1500 claim format.



## OpenAPI

````yaml POST /api/claim/professional/v1
openapi: 3.1.0
info:
  title: Cair Health APIs
  description: APIs for the Cair Health platform
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://forecaster.cairhealth.com
security:
  - bearerAuth: []
paths:
  /api/claim/professional/v1:
    post:
      description: >-
        Creates a professional claim from a CMS 1500 file. This schema is an
        augmentation of the Healthie CMS 1500 schema to support the full
        CMS-1500 claim format.
      parameters:
        - name: attachmentId
          in: query
          description: >-
            Optional ID of document references to associate with the claim. Can
            be specified multiple times. This id will be returned from the
            [Create Claim Attachment](../claims/create-claim-attachment)
            endpoint.
          required: false
          schema:
            type: string
        - name: primaryPcn
          in: query
          description: >-
            Optional primary PCN to associate with the claim. You should ONLY
            use this in cases of submitting a secondary or tertiary claim, or in
            some specific denial resubmission scenarios.
          required: false
          schema:
            type: string
      requestBody:
        description: CMS 1500 professional claim data
        content:
          application/json:
            schema:
              type: object
              properties:
                accept_assignment:
                  type: boolean
                  description: Whether the provider agrees to accept assignment
                id:
                  type: string
                  description: Unique identifier for the CMS 1500 form
                date_of_service:
                  type: string
                  description: Date when the service was provided
                total_charge:
                  type: string
                  description: Total charge amount for the claim
                patient:
                  type: object
                  description: Information about the patient
                  properties:
                    id:
                      type: string
                      description: Patient identifier
                    first_name:
                      type: string
                      description: Patient's first name
                    last_name:
                      type: string
                      description: Patient's last name
                    name:
                      type: string
                      description: Patient's full name
                    gender:
                      type: string
                      description: Patient's gender
                    dob:
                      type: string
                      description: Patient's date of birth
                    location:
                      type: object
                      description: Patient's address information
                      properties:
                        city:
                          type: string
                          description: City
                        country:
                          type: string
                          description: Country
                        line1:
                          type: string
                          description: Address line 1
                        line2:
                          type: string
                          description: Address line 2
                        name:
                          type: string
                          description: Location name
                        state:
                          type: string
                          description: State
                        to_oneline:
                          type: string
                          description: Single line address representation
                        zip:
                          type: string
                          description: ZIP/Postal code
                        place_of_service:
                          type: object
                          description: Place of service details
                          properties:
                            code:
                              type: string
                              description: Code of the place of service
                            name:
                              type: string
                              description: Name of the place of service
                            code_name:
                              type: string
                              description: Code name of the place of service
                    policies:
                      type: array
                      description: Patient's insurance policies
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                            description: Policy identifier
                          num:
                            type: string
                            description: Policy number
                          group_num:
                            type: string
                            description: Insurance group number
                          name:
                            type: string
                            description: Policy name
                          holder_first:
                            type: string
                            description: Policy holder's first name
                          holder_last:
                            type: string
                            description: Policy holder's last name
                          holder_relationship:
                            type: string
                            description: Relationship between patient and policy holder
                          claim_filing_indicator:
                            type: string
                            description: Claim filing indicator code
                          insurance_type_code:
                            type: string
                            description: >-
                              Insurance type code for Medicare secondary claims.
                              Required when claim_filing_indicator is MA or MB
                              and the policy is secondary.
                            enum:
                              - '12'
                              - '13'
                              - '14'
                              - '15'
                              - '16'
                              - '41'
                              - '42'
                              - '43'
                              - '47'
                          priority_type:
                            type: string
                            description: Priority type of the insurance policy
                          prior_authorization:
                            type: string
                            description: >-
                              Prior authorization reference number for the
                              policy.
                          insurance_plan:
                            type: object
                            description: Insurance plan details
                            properties:
                              payer_name:
                                type: string
                                description: Name of the insurance payer
                              payer_id:
                                type: string
                                description: Identifier for the insurance payer
                              name_and_id:
                                type: string
                                description: Combined name and ID of the insurance plan
                            required:
                              - payer_name
                              - payer_id
                billing_provider:
                  type: object
                  description: Information about the billing provider
                  properties:
                    name:
                      type: string
                      description: Provider name
                    npi:
                      type: string
                      description: National Provider Identifier
                    tax_id:
                      type: string
                      description: Provider tax ID
                    taxonomy_code:
                      type: string
                      description: Provider taxonomy code
                    location:
                      type: object
                      description: Provider's address information
                      properties:
                        city:
                          type: string
                          description: City
                        country:
                          type: string
                          description: Country
                        line1:
                          type: string
                          description: Address line 1
                        line2:
                          type: string
                          description: Address line 2
                        name:
                          type: string
                          description: Location name
                        state:
                          type: string
                          description: State
                        to_oneline:
                          type: string
                          description: Single line address representation
                        zip:
                          type: string
                          description: ZIP/Postal code
                        place_of_service:
                          type: object
                          description: Place of service details
                          properties:
                            code:
                              type: string
                              description: Code of the place of service
                            name:
                              type: string
                              description: Name of the place of service
                            code_name:
                              type: string
                              description: Code name of the place of service
                  required:
                    - name
                    - npi
                    - tax_id
                    - location
                rendering_provider:
                  type: object
                  description: Information about the rendering provider
                  properties:
                    id:
                      type: string
                      description: Provider identifier
                    first_name:
                      type: string
                      description: Provider's first name
                    last_name:
                      type: string
                      description: Provider's last name
                    name:
                      type: string
                      description: Provider's full name
                    npi:
                      type: string
                      description: Provider's NPI
                    taxonomy_code:
                      type: string
                      description: Provider's taxonomy code
                    gender:
                      type: string
                      description: Provider's gender
                    dob:
                      type: string
                      description: Provider's date of birth
                    location:
                      type: object
                      description: Provider's address information
                      properties:
                        city:
                          type: string
                          description: City
                        country:
                          type: string
                          description: Country
                        line1:
                          type: string
                          description: Address line 1
                        line2:
                          type: string
                          description: Address line 2
                        name:
                          type: string
                          description: Location name
                        state:
                          type: string
                          description: State
                        to_oneline:
                          type: string
                          description: Single line address representation
                        zip:
                          type: string
                          description: ZIP/Postal code
                        place_of_service:
                          type: object
                          description: Place of service details
                          properties:
                            code:
                              type: string
                              description: Code of the place of service
                            name:
                              type: string
                              description: Name of the place of service
                            code_name:
                              type: string
                              description: Code name of the place of service
                  required:
                    - npi
                referring_provider:
                  type: object
                  description: Information about the referring provider.
                  properties:
                    id:
                      type: string
                      description: Provider identifier
                    first_name:
                      type: string
                      description: Provider's first name
                    last_name:
                      type: string
                      description: Provider's last name
                    name:
                      type: string
                      description: Provider's full name
                    npi:
                      type: string
                      description: Provider's NPI
                    gender:
                      type: string
                      description: Provider's gender
                    dob:
                      type: string
                      description: Provider's date of birth
                  required:
                    - npi
                ordering_provider:
                  type: object
                  description: Information about the ordering provider.
                  properties:
                    id:
                      type: string
                      description: Provider identifier
                    first_name:
                      type: string
                      description: Provider's first name
                    last_name:
                      type: string
                      description: Provider's last name
                    name:
                      type: string
                      description: Provider's full name
                    npi:
                      type: string
                      description: Provider's NPI
                    taxonomy_code:
                      type: string
                      description: Provider's taxonomy code
                    gender:
                      type: string
                      description: Provider's gender
                    dob:
                      type: string
                      description: Provider's date of birth
                    location:
                      type: object
                      description: Provider's address information
                      properties:
                        city:
                          type: string
                          description: City
                        country:
                          type: string
                          description: Country
                        line1:
                          type: string
                          description: Address line 1
                        line2:
                          type: string
                          description: Address line 2
                        name:
                          type: string
                          description: Location name
                        state:
                          type: string
                          description: State
                        to_oneline:
                          type: string
                          description: Single line address representation
                        zip:
                          type: string
                          description: ZIP/Postal code
                        place_of_service:
                          type: object
                          description: Place of service details
                          properties:
                            code:
                              type: string
                              description: Code of the place of service
                            name:
                              type: string
                              description: Name of the place of service
                            code_name:
                              type: string
                              description: Code name of the place of service
                  required:
                    - npi
                service_location:
                  type: object
                  description: Location of the service
                  properties:
                    id:
                      type: string
                      description: >-
                        Location identifier. If provided, will be used to match
                        the location.
                    city:
                      type: string
                      description: City
                    country:
                      type: string
                      description: Country
                    line1:
                      type: string
                      description: >-
                        Address line 1. If id is not provided, this field will
                        be used to match the location in conjunction with the
                        name.
                    line2:
                      type: string
                      description: Address line 2
                    name:
                      type: string
                      description: >-
                        Location name. If id is not provided, this field will be
                        used to match the location in conjunction with the
                        address.
                    state:
                      type: string
                      description: State
                    to_oneline:
                      type: string
                      description: Single line address representation
                    zip:
                      type: string
                      description: ZIP/Postal code
                    place_of_service:
                      type: object
                      description: Place of service details
                      properties:
                        code:
                          type: string
                          description: Code of the place of service
                        name:
                          type: string
                          description: Name of the place of service
                        code_name:
                          type: string
                          description: Code name of the place of service
                cpt_codes_cms1500s:
                  type: array
                  description: CPT codes associated with the claim
                  items:
                    type: object
                    properties:
                      fee:
                        type: string
                        description: Billed amount for this service
                      units:
                        type: string
                        description: Number of units for this service
                      mod1:
                        type: string
                        description: Modifier 1
                      mod2:
                        type: string
                        description: Modifier 2
                      mod3:
                        type: string
                        description: Modifier 3
                      mod4:
                        type: string
                        description: Modifier 4
                      ndc_information:
                        type: object
                        description: >-
                          Optional NDC drug identification for the service line.
                          When present, all fields are required.
                        properties:
                          ndc_code:
                            type: string
                            description: National Drug Code for the service line
                          ndc_quantity:
                            type: string
                            description: Drug quantity for the NDC on this service line
                          ndc_quantity_unit:
                            type: string
                            description: Unit of measure.
                            enum:
                              - F2
                              - GR
                              - ME
                              - ML
                              - UN
                        required:
                          - ndc_code
                          - ndc_quantity
                          - ndc_quantity_unit
                      cpt_code:
                        type: object
                        properties:
                          code:
                            type: string
                            description: CPT code value
                        required:
                          - code
                    required:
                      - cpt_code
                icd_codes_cms1500s:
                  type: array
                  description: ICD diagnosis codes associated with the claim
                  items:
                    type: object
                    properties:
                      icd_code:
                        type: object
                        properties:
                          code:
                            type: string
                            description: ICD code value
                        required:
                          - code
                    required:
                      - icd_code
                claim_condition_codes:
                  type: array
                  description: Claim condition codes
                  items:
                    type: object
                    properties:
                      code:
                        type: string
                        description: Condition code value
                    required:
                      - code
                claim_additional_information:
                  type: array
                  description: Additional information codes for the claim
                  items:
                    type: object
                    properties:
                      code:
                        type: string
                        description: Additional information code
                      text:
                        type: string
                        description: Additional information text
                    required:
                      - code
                injury_cause_reasons:
                  type: object
                  description: >-
                    Information about injury cause and reasons. If all are
                    false, omit this field.
                  properties:
                    employment_related:
                      type: boolean
                      description: Whether the injury is employment related
                    auto_accident:
                      type: boolean
                      description: Whether the injury is from an auto accident
                    other:
                      type: boolean
                      description: Whether the injury is from another cause
                    state:
                      type: string
                      description: State where the accident occurred
                  required:
                    - employment_related
                    - auto_accident
                    - other
                patient_paid_amount:
                  type: number
                  description: Amount paid by the patient
                clia_number:
                  type: string
                  description: >-
                    Clinical Laboratory Improvement Amendment (CLIA) number for
                    CLIA-certified facilities performing CLIA-covered laboratory
                    services.
              required:
                - accept_assignment
                - id
                - date_of_service
                - total_charge
                - patient
                - billing_provider
                - rendering_provider
                - cpt_codes_cms1500s
                - icd_codes_cms1500s
            example:
              accept_assignment: true
              id: '12345'
              date_of_service: '2025-03-15'
              total_charge: '250.00'
              patient:
                id: P98765
                first_name: John
                last_name: Doe
                name: John Doe
                gender: male
                dob: '1980-05-15'
                location:
                  city: San Francisco
                  country: USA
                  line1: 123 Main St
                  line2: Apt 4B
                  state: CA
                  zip: '94105'
                policies:
                  - id: POL123
                    group_num: GRP456
                    name: Premium Health Plan
                    holder_first: John
                    holder_last: Doe
                    holder_relationship: self
                    claim_filing_indicator: CI
                    priority_type: primary
                    insurance_plan:
                      payer_name: Blue Cross
                      payer_id: BCBS123
                      name_and_id: Blue Cross (BCBS123)
              billing_provider:
                name: Medical Group Inc
                npi: '1234567890'
                tax_id: 12-3456789
                taxonomy_code: 207Q00000X
                location:
                  city: San Francisco
                  country: USA
                  line1: 456 Health Ave
                  state: CA
                  zip: '94107'
              rendering_provider:
                id: DR12345
                first_name: Jane
                last_name: Smith
                npi: '5432167890'
                taxonomy_code: 207Q00000X
                name: Jane Smith, MD
              referring_provider:
                first_name: Robert
                last_name: Johnson
                npi: '1111222233'
                name: Robert Johnson, MD
              ordering_provider:
                first_name: Emily
                last_name: Chen
                npi: '4444555566'
                taxonomy_code: 207Q00000X
                name: Emily Chen, MD
              service_location:
                city: San Francisco
                state: CA
                zip: '94107'
                name: Medical Group Inc
                place_of_service:
                  code: '11'
                  name: Office
                  code_name: 11 - Office
              cpt_codes_cms1500s:
                - cpt_code:
                    code: '99213'
                  fee: '150.00'
                  units: '1'
                - cpt_code:
                    code: '85025'
                  fee: '100.00'
                  units: '1'
                  ndc_information:
                    ndc_code: '00071015527'
                    ndc_quantity: '2'
                    ndc_quantity_unit: ML
              icd_codes_cms1500s:
                - icd_code:
                    code: J20.9
                - icd_code:
                    code: R50.9
              claim_condition_codes:
                - code: '01'
              claim_additional_information:
                - code: A1
                  text: Additional information
              injury_cause_reasons:
                employment_related: false
                auto_accident: false
                other: false
              patient_paid_amount: 50
              clia_number: 12D3456789
        required: true
      responses:
        '200':
          description: Claim created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OperationOutcome'
              example:
                resourceType: OperationOutcome
                issue:
                  - severity: information
                    code: informational
                    details:
                      text: All OK
        '400':
          description: Invalid request body or validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OperationOutcome'
              example:
                resourceType: OperationOutcome
                issue:
                  - severity: error
                    code: invalid
                    expression:
                      - Cms1500.total_charge
                    details:
                      text: Expected string, received number
        '401':
          description: Unauthorized access or invalid organization ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OperationOutcome'
              example:
                resourceType: OperationOutcome
                issue:
                  - severity: error
                    code: security
                    details:
                      text: Unauthorized access or invalid organization ID
      security:
        - bearerAuth: []
components:
  schemas:
    OperationOutcome:
      type: object
      description: A FHIR standard response format for operations
      properties:
        resourceType:
          type: string
          description: Type of resource
          enum:
            - OperationOutcome
        id:
          type: string
          description: Logical id of this artifact
        issue:
          type: array
          description: A list of issues with the operation
          items:
            type: object
            properties:
              severity:
                type: string
                description: Severity of the issue
                enum:
                  - fatal
                  - error
                  - warning
                  - information
              code:
                type: string
                description: Error or warning code
                enum:
                  - invalid
                  - structure
                  - required
                  - value
                  - invariant
                  - security
                  - login
                  - unknown
                  - expired
                  - forbidden
                  - suppressed
                  - processing
                  - not-supported
                  - duplicate
                  - multiple-matches
                  - not-found
                  - deleted
                  - too-long
                  - code-invalid
                  - extension
                  - too-costly
                  - business-rule
                  - conflict
                  - transient
                  - lock-error
                  - no-store
                  - exception
                  - timeout
                  - incomplete
                  - throttled
                  - informational
              diagnostics:
                type: string
                description: Additional diagnostic information about the issue
              details:
                type: object
                properties:
                  text:
                    type: string
                    description: Text description of the issue
                  coding:
                    type: array
                    description: Coding of the issue
                    items:
                      type: object
              location:
                type: array
                description: Locations in the resource where the issue occurred
                items:
                  type: string
              expression:
                type: array
                description: FHIRPath of element(s) causing the issue
                items:
                  type: string
            required:
              - severity
              - code
      required:
        - resourceType
        - issue
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````